function finalRad= DCexampleControl(serPort)
% Copyright (C) 2011 Cornell University
% This code is released under the open-source BSD license.  A copy of this
% license should be provided with the software.  If not, email:
% CreateMatlabSim@gmail.com

    % Set constants for this program
    maxDuration = 4*60;  % Max time to allow the program to run (s)

    % Initialize loop variables
    tStart = tic;        % Time limit marker
    
    % Start robot moving
    % SetDriveWheelsCreate(serPort,0.2,0.2); % right wheel, left wheel
    
    % read the lidar
    distScan = LidarSensorCreate(serPort);
    distScanLength = length(distScan);
    
    % calculate the center of mass
    mDS = 0;
    sumDS = 0;
    for i=1:distScanLength
        mDS = mDS + distScan(i);
        sumDS = sumDS + distScan(i)*i;
    end
    comDS = floor(sumDS / mDS);
    
    figure;
    plot(1:distScanLength,distScan,'b-',comDS,distScan(comDS),'r*');
    
    % Specify output parameter
    finalRad = 0;
    
    % Stop robot motion
    SetFwdVelAngVelCreate(serPort,0,0);
    
end

